/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Theme prefix.
	var prefix = "shopy-";

	// Base color
	var base_color = "#6187a5";

	/**
	 * Live preview site title & site description
	 */
	wp.customize( "blogname", function( value ) {
		value.bind( function( to ) {
			$( ".site-title a" ).text( to );
		} );
	} );
	wp.customize( "blogdescription", function( value ) {
		value.bind( function( to ) {
			$( ".site-description" ).text( to );
		} );
	} );

	/**
	 * Header color
	 */
	wp.customize( prefix + "header-bg-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( '#masthead' ).css('background-color', to);
		} );
	} );
	wp.customize( prefix + "site-title-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#000000';
			$( '.site-title a' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "site-desc-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#4a5150';
			$( '.site-description' ).css('color', to);
		} );
	} );

	/**
	 * Accent color
	 */
	wp.customize( prefix + "primary-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( "::selection, .gallery-caption, button,input[type='button'],input[type='reset'],input[type='submit'],.button, button:visited,input[type='button']:visited,input[type='reset']:visited,input[type='submit']:visited,.button:visited, button:hover,input[type='button']:hover,input[type='reset']:hover,input[type='submit']:hover,button:focus,input[type='button']:focus,input[type='reset']:focus,input[type='submit']:focus,.button:hover, .pure-button-primary,.pure-button-selected,a.pure-button-primary,a.pure-button-selected, .searchform button, .primary-navigation .sub-menu a, .primary-navigation .slicknav_nav a,.top-navigation .slicknav_nav a, .primary-navigation .slicknav_nav a:hover,.top-navigation .slicknav_nav a:hover, .tag-links a:hover, .pagination .page-numbers, .widget_tag_cloud a, .subscribe-widget .form-subscribe, .subscribe-widget p, .subscribe-widget button, .widget_social a, .widget_social a:hover, #scrollUp, .author-badge, form.comment-form input[type='submit'], .header-cart .count, .header-cart .widget_shopping_cart, .header-cart .widget_shopping_cart .cart_list a, .header-cart .widget_shopping_cart .cart_list .quantity .amount, .header-cart .widget_shopping_cart .total, .header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout), .banner .overlay .banner-text, .cart-collaterals .checkout-button:hover, .woocommerce-pagination .page-numbers li .page-numbers:hover,.woocommerce-pagination .page-numbers li .page-numbers.current, .onsale, .woocommerce-message,.woocommerce-info,.woocommerce-error,.woocommerce-noreviews,p.no-comments, .woocommerce-message a,.woocommerce-info a,.woocommerce-error a,.woocommerce-noreviews a,p.no-comments a, .woocommerce-message a:visited:hover,.woocommerce-message a:hover,.woocommerce-info a:visited:hover,.woocommerce-info a:hover,.woocommerce-error a:visited:hover,.woocommerce-error a:hover,.woocommerce-noreviews a:visited:hover,.woocommerce-noreviews a:hover,p.no-comments a:visited:hover,p.no-comments a:hover, .woocommerce-message .button,.woocommerce-info .button,.woocommerce-error .button,.woocommerce-noreviews .button,p.no-comments .button, .woocommerce-message .button:hover,.woocommerce-info .button:hover,.woocommerce-error .button:hover,.woocommerce-noreviews .button:hover,p.no-comments .button:hover, .widget_product_search input[type='submit'], .widget_shopping_cart .buttons .button.checkout, .widget_product_tag_cloud a, .widget_price_filter .price_slider_amount .button, .slider .overlay-text, .slider .overlay-text .slider-link" ).css('color', to);
			$( "hr.whiteborder, .subscribe-widget button, .site-info a, .header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout), .banner .overlay .text-wrapper, .woocommerce-message a,.woocommerce-info a,.woocommerce-error a,.woocommerce-noreviews a,p.no-comments a, .slider .overlay-text .slider-link" ).css('border-color', to);
			$( "form input[type='text']:focus,form input[type='password']:focus,form input[type='email']:focus,form input[type='url']:focus,form input[type='date']:focus,form input[type='month']:focus,form input[type='time']:focus,form input[type='datetime']:focus,form input[type='datetime-local']:focus,form input[type='week']:focus,form input[type='number']:focus,form input[type='search']:focus,form input[type='tel']:focus,form input[type='color']:focus,form select:focus,form textarea:focus, .searchform .textfield, .top-navigation .sub-menu, .owl-theme .owl-controls .owl-buttons div, .tag-links a, form.comment-form input[type='text']:focus,form.comment-form input[type='email']:focus,form.comment-form input[type='url']:focus,form.comment-form textarea:focus, .header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout):hover, .woocommerce-tabs ul.tabs li, .slider .overlay-text .slider-link:hover, .widget-shopy-products .widget-title span" ).css('background-color', to);
		} );
	} );
	wp.customize( prefix + "text-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#000000';
			$( 'mark, body, h1,h2,h3,h4,h5,h6, .primary-navigation a, .entry-header .entry-title a, .owl-theme .owl-controls .owl-buttons div, .author-bio .author-title a, .related-posts .entry-title a, .pagination .page-numbers.current,.pagination .page-numbers:hover, .widget li a, .comment-avatar .name a, .header-cart a, .header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout):hover, .woocommerce-breadcrumb a, .gridlist-toggle a, .woocommerce-tabs ul.tabs li.active a, .slider .overlay-text .slider-link:hover' ).css('color', to);
			$( "body, blockquote, hr.blackborder, button:active,input[type='button']:active,input[type='reset']:active,input[type='submit']:active, .searchform .textfield, .primary-navigation ul, .primary-navigation li.menu-item-has-children:hover > a, .widget-title, #order_review_heading,#order_review, .widget_product_search .search-field, .widget-shopy-products .widget-title::before" ).css('border-color', to);
			$( ".gallery-caption, .searchform button, .primary-navigation .sub-menu, .primary-navigation .slicknav_menu .slicknav_icon-bar,.top-navigation .slicknav_menu .slicknav_icon-bar, .primary-navigation .slicknav_nav,.top-navigation .slicknav_nav, .more-link, .pagination .page-numbers, .widget_tag_cloud a, .subscribe-widget .form-subscribe, .widget_social a, #scrollUp, .header-cart .widget_shopping_cart, .woocommerce-pagination .page-numbers li .page-numbers:hover,.woocommerce-pagination .page-numbers li .page-numbers.current, .widget_product_search input[type='submit'], .widget_product_tag_cloud a, .widget_price_filter .ui-slider .ui-slider-handle, .widget_price_filter .ui-slider .ui-slider-range" ).css('background-color', to);
		} );
	} );
	wp.customize( prefix + "text-alt-1-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#555555';
			$( 'blockquote cite, .entry-wrapper .entry-meta a:hover, .entry-summary,.entry-content, .author-bio .bio, .comment-navigation a' ).css('color', to);
			$( '.primary-navigation .sub-menu li.current-menu-item a, .primary-navigation .sub-menu a, .primary-navigation .sub-menu a:hover' ).css('border-color', to);
		} );
	} );
	wp.customize( prefix + "text-alt-2-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#4a5150';
			$( '.top-navigation a, .tag-links a, .widget-title, .footer-widget .widget-title, .footer-widget ul li, .header-cart .total, ul.products li.product h3, ul.products li.product .button, .single-product div.product .price del, .shopy-sorting, .product_list_widget li .amount, .product_list_widget .reviewer, .spotlight .spotlight-item p' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "text-alt-3-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#c5727d';
			$( '.primary-navigation li.action-menu > a, .comment-awaiting-moderation, .header-cart .widget_shopping_cart .cart_list li a.remove, .header-cart .widget_shopping_cart .cart_list li a.remove::before, a.remove:before, .product .yith-wcwl-add-button a::before,.product .yith-wcwl-wishlistaddedbrowse a::before,.product .yith-wcwl-wishlistexistsbrowse a::before' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "border-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#e9e9e9';
			$( 'hr, .top-navigation .sub-menu, .top-navigation .sub-menu li.current-menu-item a, .top-navigation .sub-menu a, .top-navigation .sub-menu a:hover, .tag-links a, .widget-area, .commentlist, .comment-body .comment-wrapper, ul.products.list li.product hr, .single-product div.product form.cart, .single-product div.product .variations_button, .single-product div.product .woocommerce-product-rating, table.cart td.actions .coupon, #payment, #payment .payment_methods, #payment .payment_methods li, #payment .payment_methods li .payment_box, ul.order_details, ul.order_details li, ul.digital-downloads li, .woocommerce-breadcrumb, .woocommerce-tabs, #reviews .commentlist li, #reviews .commentlist li ul.children, .product_list_widget li, .widget li, .spotlight .spotlight-items, table th,table td, .hentry.post,.hentry.attachment, .author-bio, .page-header, table.cart td,table.cart th' ).css('border-color', to);
			$( '.pagination .page-numbers.current,.pagination .page-numbers:hover' ).css('background-color', to);
		} );
	} );

	/**
	 * Link color
	 */
	wp.customize( prefix + "link-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : base_color;
			$( 'a, .top-navigation .sub-menu li.current-menu-item a, .top-navigation .sub-menu a:hover, .primary-navigation li.current-menu-item > a, .primary-navigation li.menu-item-has-children::after:hover, .primary-navigation li.menu-item-has-children:hover > a, .primary-navigation a:hover, .primary-navigation .sub-menu li.current-menu-item a, .primary-navigation .sub-menu a:hover, .entry-header .entry-title a:hover, .author-bio .author-title a:hover, .author-bio .author-social a:hover, .related-posts .entry-title a:hover, .loop-nav a:hover, .widget li a:hover, .widget_rss li a, ul.products li.product .price, ul.products li.product .button:hover, .single-product div.product .in-stock, .woocommerce-breadcrumb a:hover, .star-rating span:before, p.stars a, p.stars a:hover, .gridlist-toggle a.active,.gridlist-toggle a:hover, .product_list_widget a:hover' ).css('color', to);
			$( '::-moz-selection, ::selection, button,input[type="button"],input[type="reset"],input[type="submit"],.button, .more-link:hover, .tag-links a:hover, .widget_tag_cloud a:hover, .subscribe-widget button:hover, .widget_social a:hover, #scrollUp:hover, .author-badge, form.comment-form input[type="submit"], .header-cart .count, .banner .banner-item:hover > .overlay, .onsale, .widget_shopping_cart .buttons .button.checkout, .widget_product_tag_cloud a:hover, .widget_price_filter .price_slider_amount .button' ).css('background-color', to);
			$( '.primary-navigation li.current-menu-item > a, .primary-navigation a:hover' ).css('border-color', to);
		} );
	} );
	wp.customize( prefix + "hover-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : base_color;
			$( 'a:hover,a:visited:hover' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "visited-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : base_color;
			$( 'a:visited' ).css('color', to);
			$( 'button,input[type="button"],input[type="reset"],input[type="submit"],.button' ).css('border-color', to);
		} );
	} );

	/**
	 * Footer color
	 */
	wp.customize( prefix + "footer-bg-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#000';
			$( '.site-info' ).css('background-color', to);
		} );
	} );
	wp.customize( prefix + "footer-text-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#fff';
			$( '.site-info' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "footer-link-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#f2f2f2';
			$( '.site-info a' ).css('color', to);
		} );
	} );

} )( jQuery );
