<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>
	
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	</header>

	<div class="entry-wrapper">
		
		<div class="entry-meta">
			<?php shopy_posted_on(); ?>
		</div>
		
		<div class="entry-content-wrapper">
			
			<?php if ( has_post_format( 'video' ) ) : ?>
				<div class="entry-format">
					<?php echo hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true ) ); ?>
				</div>
			<?php elseif ( has_post_format( 'audio' ) ) : ?>
				<div class="entry-format">
					<?php echo hybrid_media_grabber( array( 'type' => 'audio', 'split_media' => true ) ); ?>
				</div>
			<?php elseif ( ! has_post_format( 'quote' ) ) : ?>
				<?php if ( has_post_thumbnail() ) : ?>
					<a class="thumbnail-link" href="<?php the_permalink(); ?>">
						<?php the_post_thumbnail( 'large', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?>
					</a>
				<?php endif; ?>
			<?php endif; ?>

			<div class="entry-content" <?php hybrid_attr( 'entry-content' ); ?>>
				<?php the_content(); ?>
				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . __( 'Pages:', 'shopy' ),
						'after'  => '</div>',
					) );
				?>
			</div><!-- .entry-content -->

			<footer class="entry-footer">
				<?php
					// Theme prefix
					$prefix = 'shopy-';

					// Get the data set in customizer
					$tag = shopy_mod( $prefix . 'post-tag' );

					// Get the tags attached to the post
					$tags = get_the_tags();
					
					if ( $tag && $tags ) :
				?>
					<span class="tag-links" <?php hybrid_attr( 'entry-terms', 'post_tag' ); ?>>
						<?php foreach( $tags as $tag ) : ?>
							<a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>">#<?php echo esc_attr( $tag->name ); ?></a>
						<?php endforeach; ?>
					</span>
				<?php endif; ?>
			</footer><!-- .entry-footer -->

			<?php if ( function_exists( 'sharing_display' ) ) : ?>
				<div class="jetpack-share-like">
					<?php sharing_display( '', true ); ?>
					<?php if ( class_exists( 'Jetpack_Likes' ) ) { $custom_likes = new Jetpack_Likes; echo $custom_likes->post_likes( '' ); } ?>
				</div>
			<?php endif; ?>

			<?php edit_post_link( __( 'Edit', 'shopy' ), '<span class="edit-link">', '</span>' ); ?>

		</div>

	</div>
	
</article><!-- #post-## -->
