<?php get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" <?php hybrid_attr( 'content' ); ?>>

			<?php while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

					<header class="entry-header">
						<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
					</header>

					<div class="entry-wrapper">
						
						<div class="entry-meta">
							<?php shopy_posted_on(); ?>
						</div>
						
						<div class="entry-content-wrapper">
							
							<div class="attachment">
								<?php
									/**
									 * Filter the default Leda image attachment size.
									 */
									$image_size = apply_filters( 'shopy_attachment_size', 'full' );

									echo wp_get_attachment_image( get_the_ID(), $image_size );
								?>

							</div><!-- .entry-attachment -->

							<div class="entry-summary" <?php hybrid_attr( 'entry-summary' ); ?>>
								<?php the_excerpt(); ?>
							</div>

						</div>

					</div>
					
				</article><!-- #post-## -->

				<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template  ?>

				<?php
					// If comments are open or we have at least one comment, load up the comment template
					if ( comments_open() || '0' != get_comments_number() ) :
						comments_template();
					endif;
				?>

			<?php endwhile; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
