<?php
/**
 * TGM Plugin Lists
 *
 * @package    Shopy
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

// Include the TGM_Plugin_Activation class.
require trailingslashit( get_template_directory() ) . 'inc/classes/class-tgm-plugin-activation.php';

/**
 * Register required and recommended plugins.
 *
 * @since  1.0.0
 */
function shopy_register_plugins() {

	$plugins = array(

		array(
			'name'     => 'MailOptin',
			'slug'     => 'mailoptin',
			'required' => false,
		),

		array(
			'name'     => 'Contact Form 7',
			'slug'     => 'contact-form-7',
			'required' => false,
		),

		array(
			'name'     => 'WooCommerce',
			'slug'     => 'woocommerce',
			'required' => false,
		),

		array(
			'name'     => 'WooCommerce Grid / List toggle',
			'slug'     => 'woocommerce-grid-list-toggle',
			'required' => false,
		),

		array(
			'name'     => 'WooCommerce Product Image Flipper',
			'slug'     => 'woocommerce-product-image-flipper',
			'required' => false,
		),

		array(
			'name'     => 'YITH WooCommerce Wishlist',
			'slug'     => 'yith-woocommerce-wishlist',
			'required' => false,
		),

		array(
			'name'     => 'Polylang',
			'slug'     => 'polylang',
			'required' => false,
		),

		array(
			'name'     => 'TJ Shortcodes',
			'slug'     => 'theme-junkie-shortcodes',
			'required' => false,
		),

		array(
			'name'     => 'TJ Custom CSS',
			'slug'     => 'theme-junkie-custom-css',
			'required' => false,
		)

	);

	$config = array(
		'id'           => 'tgmpa',
		'default_path' => '',
		'menu'         => 'tgmpa-install-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'shopy_register_plugins' );