<?php
/**
 * Polylang compatibility and custom functions
 *
 * @package    Shopy
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

// Theme prefix
$prefix = 'shopy-';

if ( ! function_exists( 'shopy_polylang_switcher' ) ) :
/**
 * Display language switcher
 * 
 * @since  1.0.0
 */
function shopy_polylang_switcher() { ?>
	<ul class="language-switcher">
		<?php pll_the_languages( array( 'show_flags' => 1, 'show_names' => 0, 'echo' => 1 ) ); ?>
	</ul>
	<?php
}
endif;

/**
 * Register Slider title strings
 */
$slider_1 = shopy_mod( $prefix . 'slider-text-1' ); // Get the data set in customizer
$slider_2 = shopy_mod( $prefix . 'slider-text-2' ); // Get the data set in customizer
$slider_3 = shopy_mod( $prefix . 'slider-text-3' ); // Get the data set in customizer
$slider_4 = shopy_mod( $prefix . 'slider-text-4' ); // Get the data set in customizer
$slider_5 = shopy_mod( $prefix . 'slider-text-5' ); // Get the data set in customizer
pll_register_string( $prefix . 'slider-text-1', $slider_1, 'Shopy' ); // Register string
pll_register_string( $prefix . 'slider-text-2', $slider_2, 'Shopy' ); // Register string
pll_register_string( $prefix . 'slider-text-3', $slider_3, 'Shopy' ); // Register string
pll_register_string( $prefix . 'slider-text-4', $slider_4, 'Shopy' ); // Register string
pll_register_string( $prefix . 'slider-text-5', $slider_5, 'Shopy' ); // Register string

/**
 * Register Banner title strings
 */
$banner_1 = shopy_mod( $prefix . 'banner-text-1' ); // Get the data set in customizer
$banner_2 = shopy_mod( $prefix . 'banner-text-2' ); // Get the data set in customizer
$banner_3 = shopy_mod( $prefix . 'banner-text-3' ); // Get the data set in customizer
pll_register_string( $prefix . 'banner-text-1', $banner_1, 'Shopy' ); // Register string
pll_register_string( $prefix . 'banner-text-2', $banner_2, 'Shopy' ); // Register string
pll_register_string( $prefix . 'banner-text-3', $banner_3, 'Shopy' ); // Register string

/**
 * Register Spotlight strings
 */
$spotlight_1      = shopy_mod( $prefix . 'spotlight-1' );
$spotlight_1_desc = shopy_mod( $prefix . 'spotlight-1-desc' );
$spotlight_2      = shopy_mod( $prefix . 'spotlight-2' );
$spotlight_2_desc = shopy_mod( $prefix . 'spotlight-2-desc' );
$spotlight_3      = shopy_mod( $prefix . 'spotlight-3' );
$spotlight_3_desc = shopy_mod( $prefix . 'spotlight-3-desc' );
pll_register_string( $prefix . 'spotlight-1', $spotlight_1, 'Shopy' ); // Register string
pll_register_string( $prefix . 'spotlight-1-desc', $spotlight_1_desc, 'Shopy' ); // Register string
pll_register_string( $prefix . 'spotlight-2', $spotlight_2, 'Shopy' ); // Register string
pll_register_string( $prefix . 'spotlight-2-desc', $spotlight_2_desc, 'Shopy' ); // Register string
pll_register_string( $prefix . 'spotlight-3', $spotlight_3, 'Shopy' ); // Register string
pll_register_string( $prefix . 'spotlight-3-desc', $spotlight_3_desc, 'Shopy' ); // Register string

/**
 * Register footer text strings
 */
$footer_text = shopy_mod( $prefix . 'footer-text' ); // Get the data set in customizer
pll_register_string( $prefix . 'footer-text', $footer_text, 'Shopy' ); // Register string