<?php
/**
 * Header color
 *
 * @package    Shopy
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'shopy_customizer_accent_styles' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function shopy_customizer_accent_styles() {

	// Theme prefix
	$prefix = 'shopy-';
	
	// Primary color
	$primary = shopy_mod( $prefix . 'primary-color' );

	if ( $primary !== customizer_library_get_default( $prefix . 'primary-color' ) ) {

		$color = sanitize_hex_color( $primary );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				"::selection",
				// "::-moz-selection",
				".gallery-caption",
				"button,input[type='button'],input[type='reset'],input[type='submit'],.button",
				"button:visited,input[type='button']:visited,input[type='reset']:visited,input[type='submit']:visited,.button:visited",
				"button:hover,input[type='button']:hover,input[type='reset']:hover,input[type='submit']:hover,button:focus,input[type='button']:focus,input[type='reset']:focus,input[type='submit']:focus,.button:hover", // important
				".pure-button-primary,.pure-button-selected,a.pure-button-primary,a.pure-button-selected",
				".searchform button",
				".primary-navigation .sub-menu a",
				".primary-navigation .slicknav_nav a,.top-navigation .slicknav_nav a",
				".primary-navigation .slicknav_nav a:hover,.top-navigation .slicknav_nav a:hover",
				".tag-links a:hover",
				".pagination .page-numbers",
				".widget_tag_cloud a",
				".subscribe-widget .form-subscribe",
				".subscribe-widget p",
				".subscribe-widget button",
				".widget_social a",
				".widget_social a:hover",
				"#scrollUp",
				".author-badge",
				"form.comment-form input[type='submit']",
				".header-cart .count",
				".header-cart .widget_shopping_cart",
				".header-cart .widget_shopping_cart .cart_list a",
				".header-cart .widget_shopping_cart .cart_list .quantity .amount",
				".header-cart .widget_shopping_cart .total",
				".header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout)",
				".banner .overlay .banner-text",
				".cart-collaterals .checkout-button:hover",
				".woocommerce-pagination .page-numbers li .page-numbers:hover,.woocommerce-pagination .page-numbers li .page-numbers.current",
				".onsale",
				".woocommerce-message,.woocommerce-info,.woocommerce-error,.woocommerce-noreviews,p.no-comments",
				".woocommerce-message a,.woocommerce-info a,.woocommerce-error a,.woocommerce-noreviews a,p.no-comments a",
				".woocommerce-message a:visited:hover,.woocommerce-message a:hover,.woocommerce-info a:visited:hover,.woocommerce-info a:hover,.woocommerce-error a:visited:hover,.woocommerce-error a:hover,.woocommerce-noreviews a:visited:hover,.woocommerce-noreviews a:hover,p.no-comments a:visited:hover,p.no-comments a:hover", // important
				".woocommerce-message .button,.woocommerce-info .button,.woocommerce-error .button,.woocommerce-noreviews .button,p.no-comments .button",
				".woocommerce-message .button:hover,.woocommerce-info .button:hover,.woocommerce-error .button:hover,.woocommerce-noreviews .button:hover,p.no-comments .button:hover",
				".widget_product_search input[type='submit']",
				".widget_shopping_cart .buttons .button.checkout",
				".widget_product_tag_cloud a",
				".widget_price_filter .price_slider_amount .button",
				".slider .overlay-text",
				".slider .overlay-text .slider-link"
			),
			'declarations' => array(
				'color' => $color
			)
		) );
		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				"hr.whiteborder",
				".subscribe-widget button",
				".site-info a",
				".header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout)",
				".banner .overlay .text-wrapper",
				".woocommerce-message a,.woocommerce-info a,.woocommerce-error a,.woocommerce-noreviews a,p.no-comments a",
				".slider .overlay-text .slider-link"
			),
			'declarations' => array(
				'border-color' => $color
			)
		) );
		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				"form input[type='text']:focus,form input[type='password']:focus,form input[type='email']:focus,form input[type='url']:focus,form input[type='date']:focus,form input[type='month']:focus,form input[type='time']:focus,form input[type='datetime']:focus,form input[type='datetime-local']:focus,form input[type='week']:focus,form input[type='number']:focus,form input[type='search']:focus,form input[type='tel']:focus,form input[type='color']:focus,form select:focus,form textarea:focus",
				".searchform .textfield",
				".top-navigation .sub-menu",
				".owl-theme .owl-controls .owl-buttons div",
				".tag-links a",
				"form.comment-form input[type='text']:focus,form.comment-form input[type='email']:focus,form.comment-form input[type='url']:focus,form.comment-form textarea:focus",
				".header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout):hover",
				".woocommerce-tabs ul.tabs li",
				".slider .overlay-text .slider-link:hover",
				".widget-shopy-products .widget-title span"
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );
	}

	// Main Text color
	$text = shopy_mod( $prefix . 'text-color' );

	if ( $text !== customizer_library_get_default( $prefix . 'text-color' ) ) {

		$color = sanitize_hex_color( $text );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'mark',
				'body',
				'h1,h2,h3,h4,h5,h6',
				'.primary-navigation a',
				'.entry-header .entry-title a',
				'.owl-theme .owl-controls .owl-buttons div',
				'.author-bio .author-title a',
				'.related-posts .entry-title a',
				'.pagination .page-numbers.current,.pagination .page-numbers:hover',
				'.widget li a',
				'.comment-avatar .name a',
				'.header-cart a',
				'.header-cart .widget_shopping_cart p.buttons a.wc-forward:not(.checkout):hover', // important
				'.woocommerce-breadcrumb a',
				'.gridlist-toggle a',
				'.woocommerce-tabs ul.tabs li.active a',
				'.slider .overlay-text .slider-link:hover'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				"body",
				"blockquote",
				"hr.blackborder",
				"button:active,input[type='button']:active,input[type='reset']:active,input[type='submit']:active",
				".searchform .textfield",
				".primary-navigation ul",
				".primary-navigation li.menu-item-has-children:hover > a",
				".widget-title",
				"#order_review_heading,#order_review",
				".widget_product_search .search-field",
				// ".spotlight .spotlight-items" //border-bottom: gainsboro
				".widget-shopy-products .widget-title::before"
			),
			'declarations' => array(
				'border-color' => $color
			)
		) );
		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				".gallery-caption",
				".searchform button",
				".primary-navigation .sub-menu",
				".primary-navigation .slicknav_menu .slicknav_icon-bar,.top-navigation .slicknav_menu .slicknav_icon-bar",
				".primary-navigation .slicknav_nav,.top-navigation .slicknav_nav",
				".more-link",
				".pagination .page-numbers",
				".widget_tag_cloud a",
				".subscribe-widget .form-subscribe",
				".widget_social a",
				"#scrollUp",
				".header-cart .widget_shopping_cart",
				".woocommerce-pagination .page-numbers li .page-numbers:hover,.woocommerce-pagination .page-numbers li .page-numbers.current",
				".widget_product_search input[type='submit']",
				".widget_product_tag_cloud a",
				".widget_price_filter .ui-slider .ui-slider-handle",
				".widget_price_filter .ui-slider .ui-slider-range"
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );
	}

	// Text Alt 1 color
	$text_alt_1 = shopy_mod( $prefix . 'text-alt-1-color' );

	if ( $text_alt_1 !== customizer_library_get_default( $prefix . 'text-alt-1-color' ) ) {

		$color = sanitize_hex_color( $text_alt_1 );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'blockquote cite',
				'.entry-wrapper .entry-meta a:hover',
				'.entry-summary,.entry-content',
				'.author-bio .bio',
				'.comment-navigation a'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.primary-navigation .sub-menu li.current-menu-item a',
				'.primary-navigation .sub-menu a',
				'.primary-navigation .sub-menu a:hover'
			),
			'declarations' => array(
				'border-color' => $color
			)
		) );
	}

	// Text Alt 2 color
	$text_alt_2 = shopy_mod( $prefix . 'text-alt-2-color' );

	if ( $text_alt_2 !== customizer_library_get_default( $prefix . 'text-alt-2-color' ) ) {

		$color = sanitize_hex_color( $text_alt_2 );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.top-navigation a',
				'.tag-links a',
				'.widget-title',
				'.footer-widget .widget-title',
				'.footer-widget ul li',
				'.header-cart .total',
				'ul.products li.product h3',
				'ul.products li.product .button',
				'.single-product div.product .price del',
				'.shopy-sorting',
				'.product_list_widget li .amount',
				'.product_list_widget .reviewer',
				'.spotlight .spotlight-item p'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

	// Text Alt 3 color
	$text_alt_3 = shopy_mod( $prefix . 'text-alt-3-color' );

	if ( $text_alt_3 !== customizer_library_get_default( $prefix . 'text-alt-3-color' ) ) {

		$color = sanitize_hex_color( $text_alt_3 );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.primary-navigation li.action-menu > a',
				'.comment-awaiting-moderation',
				'.header-cart .widget_shopping_cart .cart_list li a.remove',
				'.header-cart .widget_shopping_cart .cart_list li a.remove::before',
				'a.remove:before',
				'.product .yith-wcwl-add-button a::before,.product .yith-wcwl-wishlistaddedbrowse a::before,.product .yith-wcwl-wishlistexistsbrowse a::before'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

	// Border color
	$border = shopy_mod( $prefix . 'border-color' );

	if ( $border !== customizer_library_get_default( $prefix . 'border-color' ) ) {

		$color = sanitize_hex_color( $border );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'hr',
				'.top-navigation .sub-menu',
				'.top-navigation .sub-menu li.current-menu-item a',
				'.top-navigation .sub-menu a',
				'.top-navigation .sub-menu a:hover',
				'.tag-links a',
				'.widget-area',
				'.commentlist',
				'.comment-body .comment-wrapper',
				'ul.products.list li.product hr',
				'.single-product div.product form.cart',
				'.single-product div.product .variations_button',
				'.single-product div.product .woocommerce-product-rating',
				'table.cart td.actions .coupon',
				'#payment',
				'#payment .payment_methods',
				'#payment .payment_methods li',
				'#payment .payment_methods li .payment_box',
				'ul.order_details',
				'ul.order_details li',
				'ul.digital-downloads li',
				'.woocommerce-breadcrumb',
				'.woocommerce-tabs',
				'#reviews .commentlist li',
				'#reviews .commentlist li ul.children',
				'.product_list_widget li',
				// gainsboro
				'.widget li',
				'.spotlight .spotlight-items',
				// f1f1f1
				'table th,table td',
				'.hentry.post,.hentry.attachment',
				'.author-bio',
				'.page-header',
				'table.cart td,table.cart th',
				// f2f2f2
				'.pagination .page-numbers.current,.pagination .page-numbers:hover'
			),
			'declarations' => array(
				'border-color' => $color
			)
		) );
	}

}
endif;
add_action( 'shopy_customizer_library_styles', 'shopy_customizer_accent_styles' );