<?php
/**
 * Footer color
 *
 * @package    Shopy
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'shopy_customizer_footer_styles' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function shopy_customizer_footer_styles() {

	// Theme prefix
	$prefix = 'shopy-';

	// Background color
	$bg = shopy_mod( $prefix . 'footer-bg-color' );

	if ( $bg !== customizer_library_get_default( $prefix . 'footer-bg-color' ) ) {

		$color = sanitize_hex_color( $bg );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.site-info'
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );
	}

	// Text color
	$text = shopy_mod( $prefix . 'footer-text-color' );

	if ( $text !== customizer_library_get_default( $prefix . 'footer-text-color' ) ) {

		$color = sanitize_hex_color( $text );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.site-info'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

	// Link color
	$link = shopy_mod( $prefix . 'footer-link-color' );

	if ( $link !== customizer_library_get_default( $prefix . 'footer-link-color' ) ) {

		$color = sanitize_hex_color( $link );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.site-info a'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

}
endif;
add_action( 'shopy_customizer_library_styles', 'shopy_customizer_footer_styles' );