<?php
/**
 * Container Width
 *
 * @package    Shopy
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.1
 */

if ( ! function_exists( 'shopy_customizer_container_width' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function shopy_customizer_container_width() {

	// Theme prefix
	$prefix = 'shopy-';

	// Get the container width
	$width = shopy_mod( $prefix . 'container-width' );

	if ( $width !== customizer_library_get_default( $prefix . 'container-width' ) ) {

		$maxwidth = intval( $width );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'.container'
			),
			'declarations' => array(
				'max-width' => $maxwidth . 'px'
			)
		) );
	}

}
endif;
add_action( 'shopy_customizer_library_styles', 'shopy_customizer_container_width' );