<?php
/**
 * Home banner widget.
 *
 * @package    Shopy
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */
class Shopy_Banner_Widget extends WP_Widget {

	/**
	 * Sets up the widgets.
	 *
	 * @since 1.0.0
	 */
	function __construct() {

		// Set up the widget options.
		$widget_options = array(
			'classname'   => 'widget-shopy-banner banner-widget',
			'description' => __( 'Display banner set up in Customizer. To be use in Front Page sidebar.', 'shopy' )
		);

		// Create the widget.
		parent::__construct(
			'shopy-banner',                 // $this->id_base
			__( 'Home - Banner', 'shopy' ), // $this->name
			$widget_options                 // $this->widget_options
		);
	}

	/**
	 * Outputs the widget based on the arguments input through the widget controls.
	 *
	 * @since 1.0.0
	 */
	function widget( $args, $instance ) {
		extract( $args );

		// Output the theme's $before_widget wrapper.
		echo $before_widget;

		// Display the banner
		shopy_banner();

		// Close the theme's widget wrapper.
		echo $after_widget;

	}

}