<?php
/**
 * Template Name: Blog Masonry template
 */
get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" <?php hybrid_attr( 'content' ); ?>>
			
			<?php $wp_query = shopy_blog_query(); ?>

			<?php if ( $wp_query->have_posts() ) : ?>
				
				<div class="masonry-layout">

					<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

							<header class="entry-header">
								<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
							</header>

							<div class="entry-wrapper">
								
								<div class="entry-meta">
									<?php shopy_posted_on(); ?>
								</div>
								
								<div class="entry-content-wrapper">
									
									<?php if ( has_post_thumbnail() ) : ?>
										<a class="thumbnail-link" href="<?php the_permalink(); ?>">
											<?php the_post_thumbnail( 'large', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?>
										</a>
									<?php endif; ?>

									<div class="entry-summary" <?php hybrid_attr( 'entry-summary' ); ?>>
										<p><?php echo wp_trim_words( get_the_excerpt(), 20 ); ?></p>
									</div>

									<a href="<?php the_permalink(); ?>" class="more-link button"><?php _e( 'Continue Reading', 'shopy' ); ?></a>

								</div>

							</div>
							
						</article><!-- #post-## -->


					<?php endwhile; ?>

				</div>

				<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template ?>

			<?php else : ?>

				<?php get_template_part( 'content', 'none' ); ?>

			<?php endif; wp_reset_postdata(); ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>